
CHARID="bdsq"
Assets = 
{
	Asset("ANIM", "anim/player_lunge.zip"),
	Asset("ANIM", "anim/player_attack_leap.zip"),
	Asset("ANIM", "anim/player_superjump.zip"),
	--Asset("ATLAS", "images/inventoryimages/cuckoo.xml"),
    Asset( "IMAGE", "images/saveslot_portraits/"..CHARID..".tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/"..CHARID..".xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/"..CHARID..".tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/"..CHARID..".xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/"..CHARID.."_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/"..CHARID.."_silho.xml" ),

    Asset( "IMAGE", "bigportraits/"..CHARID..".tex" ),
    Asset( "ATLAS", "bigportraits/"..CHARID..".xml" ),
	
	Asset( "IMAGE", "images/map_icons/"..CHARID..".tex" ),
	Asset( "ATLAS", "images/map_icons/"..CHARID..".xml" ),
	
	Asset( "SOUND" , "sound/banhua.fsb" ),
	Asset( "SOUNDPACKAGE" , "sound/banhua.fev" ),
}

PrefabFiles = {
	CHARID,
	"hammer_mjolnir",--特效
}

modimport("modmain2.lua")
modimport("scripts/lib.lua")
--modimport("action.lua")
modimport("SGnewaction.lua")
--local gift = Recipe("birdsgift", { Ingredient("seeds", 6), Ingredient("nightmarefuel", 2), Ingredient("feather_crow", 2)}, RECIPETABS.FARM,  TECH.SCIENCE_ONE)
--gift.atlas = "images/inventoryimages/birdsgift.xml"

--人物介绍的翻译(不使用武器战斗)(有独特的战斗技巧)(有强大的战斗力)
-- The character select screen lines
STRINGS.CHARACTER_TITLES.bdsq = "Fist of the North Star"
STRINGS.CHARACTER_NAMES.bdsq = "BDSQ"
STRINGS.CHARACTER_DESCRIPTIONS.bdsq = [[Can't use weapons to fight
Have unique combat skills
Have strong fighting power]]
STRINGS.CHARACTER_QUOTES.bdsq = "Fight!Fight!"

-- Custom speech strings
STRINGS.CHARACTERS.ESCTEMPLATE = require "speech_bdsq"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, CHARID)

AddMinimapAtlas("images/map_icons/"..CHARID..".xml")
AddModCharacter(CHARID)